• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

J2me Polish error: internal classes could not be compiled.

 
Van Vu
Greenhorn
Posts: 15
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Dear all,

I was using j2mepolish 2.0 beta without any problems. Then, I used
latest verion
2.0 but when I call ant on the cmd, it just gave me the error message
"internal
class could not be compiled". The strange thing is if I call "ant test
j2mepolish",
then my project is compiled and run fine. However, if I only call
"ant", then
the error occurs.

I also tried to run the sample project from j2me polish and it is fine
in test
and normal mode. It is so strange. If the sample project is oki, then
my project
should be fine too. And I noticed that when I use the obfuscator, then
the error
occurs.

I tried to reinstall the latest version but it also does not help. This
is the
error detail. Now my project is compiled without obfuscation, therefore
it is
too big. Please help me out. Thanks.

[javac] Internal J2ME Polish class:
C:\workplace\CamManMobileuildeal\Son
y-Ericsson\JavaPlatform6\en_US\source\HtmlBrowser.java:126: cannot find
symbol
[javac] symbol : method nextToken()
[javac] location: class StringTokenizer
[javac] String str = st.nextToken();
[javac] ^
[javac] Note: Some input files use unchecked or unsafe operations.
[javac] Note: Recompile with -Xlint:unchecked for details.
[javac] 1 error
[javac] An internal class of J2ME Polish could not be compiled.
Please try
a
clean rebuild by either calling "ant clean j2mepolish" or by removing
the worki
ng directory "C:\workplace\CamManMobileuildeal".
[javac] When an API-class was not found, you might need to define
where
to f
ind the device-APIs. Following classpath has been used:
[C:\J2ME-Polish\import\m
mapi.jar;C:\J2ME-Polish\import\midp-2.0.jar;C:\J2ME-Polish\import
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic